Subject: Re: bug#25017: Fwd: Re: dotimes var comiler warning

From: Philipp Stephani <[email-masked]>
Date: Sun, 27 Nov 2016 20:11:44 +0000

Drew Adams <[email-masked]> schrieb am So., 27. Nov. 2016 um
19:25 Uhr:

> > > FWIW, I think that if any changes are made to dotimes they
> > > should be in the direction of Common Lisp dotimes.
> >
> > How do Elisp's dotimes and Common Lisp's dotimes differ?
>
> http://clhs.lisp.se/Body/m_dotime.htm
>
> It respects `return' and `return-from'.  It allows tags
> (for `go').
>

A variant of `dotimes' that supports such constructs (only the "return"
ones though) is available in cl-lib.el: `cl-dotimes'.

>
> For purposes of this thread: As in Emacs Lisp, both VAR
> and COUNT are required arguments.  In general, I'd prefer
> that Emacs Lisp not diverge from but converge toward
> Common Lisp.
>
>
>
The (implicit) decision to diverge further from Common Lisp has been made a
while ago, by prefixing the CL functions with `cl' and importing the `seq'
and `map' libraries, which provide similar functionality, but with a
different interface. Regarding third-party package, the hugely popular
`dash' library advertises itself with "No CL required." Given these
indicators, I'd expect the divergence to increase further instead of
decrease.